<bugID>1352157<Summary>DevTools - preserve lazy browser's laziness whenever possible</Summary><Description>Some actions in devtools will cause all lazy browsers (bug 906076) to be inserted.

When devtools &gt; memory is activated, a frame script is injected into every browser.  Currently this action will force all lazy browsers to be inserted into the document removing them from their lazy state.

Closing the devtools pane also causes the same result (which begs the question, why are we injecting frame scripts because we're closing devtools?).  It actually triggers the same code (resource://devtools/server/main.js:1027:9).

Besides losing the optimization advantage, a major downside to letting lazy browsers be inserted in a situation like this is that if there is a high volume of tabs in the lazy state, the user will experience unexpected choking while they are all being inserted.</Description></bugID>